Subject: RE: [netlmm] Network-based mobility - NETLMM DT SolutionVsAsolutionbased on MIP6

From: "Faccin, Stefano M" <[email-masked]>
Date: Fri, 27 Oct 2006 18:55:27 -0700

Phil,
I do not believe anybody presumes anything, but just asking questions
for clarifications. Personally, I may have missed something but I have
not heard yet any single description of why PMIPv6 was not considered,
not in written nor verbal form after talking to people in the DT also. I
believe the DT had its reasons for the choice it made, it would be good
to know what the reasons were. I believe this is not asking for toomuch.

Stefano

-----Original Message-----
From: Roberts Phil-APR042 [mailto:[email-masked]] 
Sent: Friday, October 27, 2006 12:32 PM
To: Narayanan, Vidya; Soliman, Hesham; Basavaraj Patil; ext James Kempf;
[email-masked]
Subject: RE: [netlmm] Network-based mobility - NETLMM DT
SolutionVsAsolutionbased on MIP6 

I think there are two separate questions.  One is "Why didn't the design
team choose PMIP6?" and the other is "Why did the design team produce
the protocol it did?"  You're not presuming that the DT should have
chosen PMIP6 are you?

> -----Original Message-----
> From: Narayanan, Vidya [mailto:[email-masked]]
> Sent: Friday, October 27, 2006 1:54 PM
> To: Soliman, Hesham; Basavaraj Patil; ext James Kempf; Roberts Phil-
> APR042; [email-masked]
> Subject: RE: [netlmm] Network-based mobility - NETLMM DT Solution
> VsAsolutionbased on MIP6
> 
> I fully agree with Hesham here. I think the NETLMM DFrom [email-masked] Fri Oct 27 21:55:41 2006
Content-class: urn:content-classes:message
Subject: RE: [netlmm] Network-based mobility - NETLMM DT
	SolutionVsAsolutionbased on MIP6 
Date: Fri, 27 Oct 2006 18:55:27 -0700
From: "Faccin, Stefano M" <[email-masked]>
To: "Roberts Phil-APR042" <[email-masked]>,
	"Narayanan, Vidya" <[email-masked]>,
	"Soliman, Hesham" <[email-masked]>,
	"Basavaraj Patil" <[email-masked]>,
	"ext James Kempf" <[email-masked]>, <[email-masked]>
Cc: 

Phil,
I do not believe anybody presumes anything, but just asking questions
for clarifications. Personally, I may have missed something but I have
not heard yet any single description of why PMIPv6 was not considered,
not in written nor verbal form after talking to people in the DT also. I
believe the DT had its reasons for the choice it made, it would be good
to know what the reasons were. I believe this is not asking for toomuch.

Stefano

-----Original Message-----
From: Roberts Phil-APR042 [mailto:[email-masked]] 
Sent: Friday, October 27, 2006 12:32 PM
To: Narayanan, Vidya; Soliman, Hesham; Basavaraj Patil; ext James Kempf;
[email-masked]
Subject: RE: [netlmm] Network-based mobility - NETLMM DT
SolutionVsAsolutionbased on MIP6 

I think there are two separate questions.  One is "Why didn't the design
team choose PMIP6?" and the other is "Why did the design team produce
the protocol it did?"  You're not presuming that the DT should have
chosen PMIP6 are you?

> -----Original Message-----
> From: Narayanan, Vidya [mailto:[email-masked]]
> Sent: Friday, October 27, 2006 1:54 PM
> To: Soliman, Hesham; Basavaraj Patil; ext James Kempf; Roberts Phil-
> APR042; [email-masked]
> Subject: RE: [netlmm] Network-based mobility - NETLMM DT Solution
> VsAsolutionbased on MIP6
> 
> I fully agree with Hesham here. I think the NETLMM DT really needs to
> provide an explanation of why a PMIP-like solution was not chosen as
the
> network-mobility protocol. The answer that "the DT deliberated it and
> decided against it" is unacceptable. Clearly, the folks outside the DT
> have no visibility to this. And, having talked to folks from the DT,
I'm
> still not clear on the reasons.
> 
> I think this is the responsibility of the DT to prove to the rest of
the
> community why the solution chosen best satisfies the requirement for
> network-based mobility.
> 
> Regards,
> Vidya
> 
> > -----Original Message-----
> > From: Soliman, Hesham
> > Sent: Friday, October 27, 2006 9:04 AM
> > To: Basavaraj Patil; ext James Kempf; Phil Roberts;
> > Narayanan, Vidya; [email-masked]
> > Subject: RE: [netlmm] Network-based mobility - NETLMM DT
> > Solution VsAsolutionbased on MIP6
> >
> >
> >  > I don't think that there is much to be gained by doing a
> > > comparison of the  > NETLMM DT protocol solution vs "pure
> > PMIP solution". This is  > not a question  > of whether one
> > protocol is better suited or superior in  > terms or
> > performance  > or simple etc. I am not commenting in any way
> > about the use  > of the mobility  > header to implement the
> > NETLMM protocol here, but rather  > presenting another  >
> > view about NETLMM and PMIP6.
> >  > Given that the IETFs mainstream solution for IPv6 mobility
> >  > is MIP6 (I hope  > we are not going to get into a debate
> > about this statement  > :) ), there is or  > may be a desire
> > by either SDOs or operators considering  > deployment of MIP6
> >  > to also have the capability to use the same infrastructure
> > (HA and  > associated AAA) for hosts that do not have MIP6
> > capability or for  > transparently supporting mobility for
> > IPv6 hosts (for  > whatever reason such  > transparent
> > mobility is needed).
> >
> > => I completely agree with Raj. Let's save the excitement,
> > there isn't going to be any significant performance
> > differences between the the netlmm protocol and the
> > "hypothetical" PMIPv6 protocol. Think about it from a
> > simulation point of view, there is not difference. The
> > difference comes from the ability to reuse MIPv6
> > infrastructure and its extensions, in a seamless manner.
> >
> >  >
> >  > So instead of a prolonged discussion about the (de)merits
> > of  > NETLMM and  > PMIP, we should maybe consider that the
> > IETF standardize  > both and let the  > industry pick and
> > choose which protocol makes sense in a  > certain deployment
> >
> > => It would be preferrable to do one protocol. But before we
> > even decide on this, why can't the netlmm WG (DT, chairs
> > ...etc) explain the reasons for not choosing PMIP and we can
> > at least use that as a starting point for the discussion of
> > whether we should do 1 or 2 protocols. I find it counter
> > intuitive to simply ignore PMIP as a viable option. That is,
> > unless I missed some explanations that were already
> > documented somewhere.
> >
> > Hesham
> >

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm